%define name	clementine
%define version	0.3
%define	svn	787
%define release	%mkrel 2

%define Summary	A cross-platform music player based on Amarok 1.4  


Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
Source0:	http://clementine-player.googlecode.com/files/%{name}-%{version}.tar.gz
#Source0:	%{name}-0.2.99.tar.gz
# svn checkout http://clementine-player.googlecode.com/svn/trunk/ clementine-svn
# tar -caf clementine-svn.tar.lzma clementine-svn

License:	GPLv3
Group:		Sound 
URL:		http://code.google.com/p/clementine-player/
BuildRequires:	qt4-devel 
BuildRequires:	taglib-devel
BuildRequires:	liblastfm-devel
BuildRequires:	libboost-devel
BuildRequires:	qt4-linguist
BuildRequires:	vlc-devel
BuildRequires:	libxine-devel
BuildRequires:	gstreamer0.10-devel
BuildRequires:	cmake
Requires:	qt4-database-plugin-sqlite
Suggests:	gstreamer0.10-decoders-audio

%description
Clementine is a modern music player and library organiser. Clementine is
a port of Amarok 1.4, with some features rewritten to take advantage of
Qt4. 
Features:
      * Album cover art is now automatically loaded from disk for your library
      * Cover manager downloads missing covers from Last.fm
      * Covers for Last.fm radio tracks are shown in notifications
      * Much better "Various Artists" detection
      * Menu items to force albums to be shown under "Various Artists"
      * Support for M3U and XSPF playlists
      * Menu items to add files and streams by URL
      * Shuffle and Repeat modes for the playlist
      * Option to hide the system tray icon
      * Option to show notifications when changing volume (disabled by default)
      * Playlist columns for albumartist, composer, file type, date
      * Menu item to automatically number tracks in the playlist
      * More 2D analyzers from Amarok 1.4
      * (Linux) Media keys (play, stop, etc.) should work under Gnome 

%files 
%defattr(-,root,root)
%_bindir/clementine
%_datadir/applications/clementine.desktop
%_iconsdir/hicolor/64x64/apps/application-x-clementine.png

#---------------------------------------------------------------------

%prep
%setup -q  

%build
%cmake_qt4 -DQT_PHONON_INCLUDE_DIR=%_includedir 
make -j 4

%install
%__rm -rf %buildroot
%makeinstall_std -C build

%clean
%__rm -rf %buildroot


%changelog
* Thu May 13 2010 John Balcaen <mikala@mandriva.org> 0.3-2mdv2010.1
+ Revision: 544716
- Add qt4-database-plugin-sqlite  as require (needed for the library)

* Fri May 07 2010 John Balcaen <mikala@mandriva.org> 0.3-1mdv2010.1
+ Revision: 543186
- Update to 0.3 final

* Mon May 03 2010 John Balcaen <mikala@mandriva.org> 0.3-0.rc1.2mdv2010.1
+ Revision: 541833
- Enforce use of make -j 4 (thks to misc)
- bump release
- Correct %%release tag
- Update to 0.3rc1
- remove libnotify-devel BR

* Tue Apr 27 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.787mdv2010.1
+ Revision: 539860
- Update to revision 787
- Update to revision 774
- use -DQT_PHONON_INCLUDE_DIR= with %%cmake_qt4 macro (thks neoclust)

* Fri Apr 09 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.624mdv2010.1
+ Revision: 533308
- Update to revision 624 (gstreamer equalizer :D)
- add qt4-linguist as buildrequires

* Wed Apr 07 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.586mdv2010.1
+ Revision: 532433
- Update snapshot to svn 586
- add buildrequires for gstreamer-develi
- comment the vlc & xine buildrequires
- add suggests on gstreamer0.10-decoders-audio (disable xine-pulse one)

* Wed Mar 31 2010 John Balcaen <mikala@mandriva.org> 0.2-1.svn.547mdv2010.1
+ Revision: 530089
- Update to revision 547 from svn
- Update description

* Tue Mar 23 2010 John Balcaen <mikala@mandriva.org> 0.2-1mdv2010.1
+ Revision: 526913
- import clementine


